'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreatePage = function CreatePage(props, context) {
  var recordPlugins = context.recordPlugins;


  var items = Object.keys(recordPlugins).map(function (recordType) {
    return _react2.default.createElement(
      'li',
      { key: recordType },
      _react2.default.createElement(
        _reactRouter.Link,
        { to: 'record/' + recordType },
        _react2.default.createElement(_reactIntl.FormattedMessage, recordPlugins[recordType].messageDescriptors.recordNameTitle)
      )
    );
  });

  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      'h2',
      null,
      'Create New'
    ),
    _react2.default.createElement(
      'ul',
      null,
      items
    )
  );
};

CreatePage.contextTypes = {
  recordPlugins: _react.PropTypes.object
};

exports.default = CreatePage;