'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cspaceInput = require('cspace-input');

var _Panel = require('../../../components/layout/Panel');

var _Panel2 = _interopRequireDefault(_Panel);

var _Row = require('../../../components/layout/Row');

var _Row2 = _interopRequireDefault(_Row);

var _recordDataHelpers = require('../../../helpers/recordDataHelpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (pluginContext) {
  var React = pluginContext.React;


  return React.createElement(
    _cspaceInput.CompoundInput,
    { defaultChildSubpath: (0, _recordDataHelpers.getPartPropertyName)('collectionobjects_common') },
    React.createElement(
      _Panel2.default,
      { name: 'idPanel', collapsible: true },
      React.createElement(
        _Row2.default,
        null,
        React.createElement(
          'div',
          null,
          React.createElement(_cspaceInput.IDGeneratorInput, { name: 'objectNumber' }),
          React.createElement(_cspaceInput.TextInput, { name: 'numberOfObjects' }),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'otherNumberList' },
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'otherNumber', tabular: true, repeating: true },
              React.createElement(_cspaceInput.TextInput, { name: 'numberValue' }),
              React.createElement(_cspaceInput.TextInput, { name: 'numberType' })
            )
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'responsibleDepartments' },
            React.createElement(_cspaceInput.TextInput, { name: 'responsibleDepartment', repeating: true })
          ),
          React.createElement(_cspaceInput.TextInput, { name: 'collection' }),
          React.createElement(_cspaceInput.TextInput, { name: 'recordStatus' })
        ),
        React.createElement(
          'div',
          null,
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'briefDescriptions' },
            React.createElement(_cspaceInput.TextInput, { name: 'briefDescription', multiline: true, repeating: true })
          ),
          React.createElement(_cspaceInput.TextInput, { name: 'distinguishingFeatures', multiline: true }),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'comments' },
            React.createElement(_cspaceInput.TextInput, { name: 'comment', multiline: true, repeating: true })
          )
        )
      ),
      React.createElement(_cspaceInput.TextInput, { name: 'computedCurrentLocation' }),
      React.createElement(
        _cspaceInput.CompoundInput,
        { name: 'titleGroupList' },
        React.createElement(
          _cspaceInput.CompoundInput,
          { name: 'titleGroup', repeating: true },
          React.createElement(
            _Panel2.default,
            null,
            React.createElement(
              _Row2.default,
              null,
              React.createElement(
                'div',
                null,
                React.createElement(_cspaceInput.TextInput, { name: 'title' }),
                React.createElement(_cspaceInput.TextInput, { name: 'titleLanguage' })
              ),
              React.createElement(
                'div',
                null,
                React.createElement(_cspaceInput.TextInput, { name: 'titleType' }),
                React.createElement(
                  _cspaceInput.CompoundInput,
                  { name: 'titleTranslationSubGroupList' },
                  React.createElement(
                    _cspaceInput.CompoundInput,
                    { name: 'titleTranslationSubGroup', tabular: true, repeating: true },
                    React.createElement(_cspaceInput.TextInput, { name: 'titleTranslation' }),
                    React.createElement(_cspaceInput.TextInput, { name: 'titleTranslationLanguage' })
                  )
                )
              )
            )
          )
        )
      ),
      React.createElement(
        _cspaceInput.CompoundInput,
        { name: 'objectNameList' },
        React.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectNameGroup', tabular: true, repeating: true },
          React.createElement(_cspaceInput.TextInput, { name: 'objectName' }),
          React.createElement(_cspaceInput.TextInput, { name: 'objectNameCurrency' }),
          React.createElement(_cspaceInput.TextInput, { name: 'objectNameLevel' }),
          React.createElement(_cspaceInput.TextInput, { name: 'objectNameSystem' }),
          React.createElement(_cspaceInput.TextInput, { name: 'objectNameType' }),
          React.createElement(_cspaceInput.TextInput, { name: 'objectNameLanguage' }),
          React.createElement(_cspaceInput.TextInput, { name: 'objectNameNote' })
        )
      )
    ),
    React.createElement(
      _Panel2.default,
      { name: 'descPanel', collapsible: true },
      React.createElement(
        _Row2.default,
        null,
        React.createElement(
          'div',
          null,
          React.createElement(_cspaceInput.TextInput, { name: 'copyNumber' }),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectStatusList' },
            React.createElement(_cspaceInput.StaticControlledInput, { name: 'objectStatus', repeating: true })
          ),
          React.createElement(_cspaceInput.StaticControlledInput, { name: 'sex' }),
          React.createElement(_cspaceInput.StaticControlledInput, { name: 'phase' }),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'forms' },
            React.createElement(_cspaceInput.StaticControlledInput, { name: 'form', repeating: true })
          )
        ),
        React.createElement(
          'div',
          null,
          React.createElement(_cspaceInput.TextInput, { name: 'editionNumber' }),
          React.createElement(
            _cspaceInput.CompoundInput,
            { tabular: true, msgkey: 'ageGroup' },
            React.createElement(_cspaceInput.TextInput, { name: 'age' }),
            React.createElement(_cspaceInput.VocabularyControlledInput, { name: 'ageQualifier' }),
            React.createElement(_cspaceInput.StaticControlledInput, { name: 'ageUnit' })
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'styles' },
            React.createElement(_cspaceInput.TextInput, { name: 'style', repeating: true })
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'colors' },
            React.createElement(_cspaceInput.TextInput, { name: 'color', repeating: true })
          )
        )
      ),
      React.createElement(
        _cspaceInput.CompoundInput,
        { name: 'materialGroupList' },
        React.createElement(
          _cspaceInput.CompoundInput,
          { name: 'materialGroup', tabular: true, repeating: true },
          React.createElement(_cspaceInput.TextInput, { name: 'material' }),
          React.createElement(_cspaceInput.TextInput, { name: 'materialComponent' }),
          React.createElement(_cspaceInput.TextInput, { name: 'materialComponentNote' }),
          React.createElement(_cspaceInput.TextInput, { name: 'materialName' }),
          React.createElement(_cspaceInput.TextInput, { name: 'materialSource' })
        )
      ),
      React.createElement(_cspaceInput.TextInput, { name: 'physicalDescription', multiline: true }),
      React.createElement(
        _Row2.default,
        null,
        React.createElement(
          'div',
          null,
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectComponentGroupList' },
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'objectComponentGroup', tabular: true, repeating: true },
              React.createElement(_cspaceInput.StaticControlledInput, { name: 'objectComponentName' }),
              React.createElement(_cspaceInput.TextInput, { name: 'objectComponentInformation' })
            )
          )
        ),
        React.createElement(
          'div',
          null,
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'technicalAttributeGroupList' },
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'technicalAttributeGroup', tabular: true, repeating: true },
              React.createElement(_cspaceInput.StaticControlledInput, { name: 'technicalAttribute' }),
              React.createElement(_cspaceInput.StaticControlledInput, { name: 'technicalAttributeMeasurement' }),
              React.createElement(_cspaceInput.StaticControlledInput, { name: 'technicalAttributeMeasurementUnit' })
            )
          )
        )
      ),
      React.createElement(
        _cspaceInput.CompoundInput,
        { name: 'measuredPartGroupList' },
        React.createElement(
          _cspaceInput.CompoundInput,
          { name: 'measuredPartGroup', repeating: true },
          React.createElement(
            _Panel2.default,
            null,
            React.createElement(
              _Row2.default,
              null,
              React.createElement(
                'div',
                null,
                React.createElement(_cspaceInput.StaticControlledInput, { name: 'measuredPart' })
              ),
              React.createElement(
                'div',
                null,
                React.createElement(_cspaceInput.TextInput, { name: 'dimensionSummary' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'dimensionSubGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'dimensionSubGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.StaticControlledInput, { name: 'dimension' }),
                React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'measuredBy' }),
                React.createElement(_cspaceInput.StaticControlledInput, { name: 'measurementMethod' }),
                React.createElement(_cspaceInput.TextInput, { name: 'value' }),
                React.createElement(_cspaceInput.StaticControlledInput, { name: 'measurementUnit' }),
                React.createElement(_cspaceInput.TextInput, { name: 'valueQualifier' }),
                React.createElement(_cspaceInput.DateInput, { name: 'valueDate' })
              )
            )
          )
        )
      ),
      React.createElement(
        _Panel2.default,
        { name: 'contentPanel', collapsible: true, collapsed: true },
        React.createElement(_cspaceInput.TextInput, { name: 'contentDescription', multiline: true }),
        React.createElement(
          _Row2.default,
          null,
          React.createElement(
            'div',
            null,
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentLanguages' },
              React.createElement(_cspaceInput.VocabularyControlledInput, { name: 'contentLanguage', repeating: true })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentActivities' },
              React.createElement(_cspaceInput.TextInput, { name: 'contentActivity', repeating: true })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentConcepts' },
              React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'contentConcept', repeating: true })
            ),
            React.createElement(_cspaceInput.StructuredDateInput, { name: 'contentDate' }),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentPositions' },
              React.createElement(_cspaceInput.StaticControlledInput, { name: 'contentPosition', repeating: true })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentObjectGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'contentObjectGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.TextInput, { name: 'contentObject' }),
                React.createElement(_cspaceInput.StaticControlledInput, { name: 'contentObjectType' })
              )
            )
          ),
          React.createElement(
            'div',
            null,
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentPeoples' },
              React.createElement(_cspaceInput.TextInput, { name: 'contentPeople', repeating: true })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentPersons' },
              React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'contentPerson', repeating: true })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentPlaces' },
              React.createElement(_cspaceInput.TextInput, { name: 'contentPlace', repeating: true })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentScripts' },
              React.createElement(_cspaceInput.StaticControlledInput, { name: 'contentScript', repeating: true })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentOrganizations' },
              React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'contentOrganization', repeating: true })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentEventNameGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'contentEventNameGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.TextInput, { name: 'contentEventName' }),
                React.createElement(_cspaceInput.TextInput, { name: 'contentEventNameType' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentOtherGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'contentOtherGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.TextInput, { name: 'contentOther' }),
                React.createElement(_cspaceInput.TextInput, { name: 'contentOtherType' })
              )
            )
          )
        ),
        React.createElement(_cspaceInput.TextInput, { name: 'contentNote', multiline: true })
      ),
      React.createElement(
        _Panel2.default,
        { name: 'textInscriptPanel', collapsible: true, collapsed: true },
        React.createElement(
          _cspaceInput.CompoundInput,
          { name: 'textualInscriptionGroupList' },
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'textualInscriptionGroup', repeating: true },
            React.createElement(
              _Panel2.default,
              null,
              React.createElement(_cspaceInput.TextInput, { name: 'inscriptionContent', multiline: true }),
              React.createElement(
                _Row2.default,
                null,
                React.createElement(
                  'div',
                  null,
                  React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'inscriptionContentInscriber' }),
                  React.createElement(_cspaceInput.VocabularyControlledInput, { name: 'inscriptionContentLanguage' }),
                  React.createElement(_cspaceInput.StructuredDateInput, { name: 'inscriptionContentDateGroup' })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionContentPosition' }),
                  React.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionContentScript' }),
                  React.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionContentType' }),
                  React.createElement(_cspaceInput.TextInput, { name: 'inscriptionContentMethod' })
                )
              ),
              React.createElement(_cspaceInput.TextInput, { name: 'inscriptionContentInterpretation', multiline: true }),
              React.createElement(_cspaceInput.TextInput, { name: 'inscriptionContentTranslation' }),
              React.createElement(_cspaceInput.TextInput, { name: 'inscriptionContentTransliteration' })
            )
          )
        )
      ),
      React.createElement(
        _Panel2.default,
        { name: 'nonTextInscriptPanel', collapsible: true, collapsed: true },
        React.createElement(
          _cspaceInput.CompoundInput,
          { name: 'nonTextualInscriptionGroupList' },
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'nonTextualInscriptionGroup', repeating: true },
            React.createElement(
              _Panel2.default,
              null,
              React.createElement(_cspaceInput.TextInput, { name: 'inscriptionDescription', multiline: true }),
              React.createElement(
                _Row2.default,
                null,
                React.createElement(
                  'div',
                  null,
                  React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'inscriptionDescriptionInscriber' }),
                  React.createElement(_cspaceInput.StructuredDateInput, { name: 'inscriptionDescriptionDateGroup' })
                ),
                React.createElement(
                  'div',
                  null,
                  React.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionDescriptionPosition' }),
                  React.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionDescriptionType' }),
                  React.createElement(_cspaceInput.TextInput, { name: 'inscriptionDescriptionMethod' })
                )
              ),
              React.createElement(_cspaceInput.TextInput, { name: 'inscriptionDescriptionInterpretation', multiline: true })
            )
          )
        )
      )
    ),
    React.createElement(
      _Panel2.default,
      { name: 'prodPanel', collapsible: true, collapsed: true },
      React.createElement(
        _Row2.default,
        null,
        React.createElement(
          'div',
          null,
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionDateGroupList' },
            React.createElement(_cspaceInput.StructuredDateInput, { name: 'objectProductionDateGroup', repeating: true })
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'techniqueGroupList' },
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'techniqueGroup', tabular: true, repeating: true },
              React.createElement(_cspaceInput.TextInput, { name: 'technique' }),
              React.createElement(_cspaceInput.TextInput, { name: 'techniqueType' })
            )
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionPlaceGroupList' },
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'objectProductionPlaceGroup', tabular: true, repeating: true },
              React.createElement(_cspaceInput.TextInput, { name: 'objectProductionPlace' }),
              React.createElement(_cspaceInput.TextInput, { name: 'objectProductionPlaceRole' })
            )
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionReasons' },
            React.createElement(_cspaceInput.TextInput, { name: 'objectProductionReason', multiline: true, reapeating: true })
          )
        ),
        React.createElement(
          'div',
          null,
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionPeopleGroupList' },
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'objectProductionPeopleGroup', tabular: true, repeating: true },
              React.createElement(_cspaceInput.TextInput, { name: 'objectProductionPeople' }),
              React.createElement(_cspaceInput.TextInput, { name: 'objectProductionPeopleRole' })
            )
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionPersonGroupList' },
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'objectProductionPersonGroup', tabular: true, repeating: true },
              React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'objectProductionPerson' }),
              React.createElement(_cspaceInput.TextInput, { name: 'objectProductionPersonRole' })
            )
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionOrganizationGroupList' },
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'objectProductionOrganizationGroup', tabular: true, repeating: true },
              React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'objectProductionOrganization' }),
              React.createElement(_cspaceInput.TextInput, { name: 'objectProductionOrganizationRole' })
            )
          ),
          React.createElement(_cspaceInput.TextInput, { name: 'objectProductionNote', multiline: true })
        )
      )
    ),
    React.createElement(
      _Panel2.default,
      { name: 'histPanel', collapsible: true, collapsed: true },
      React.createElement(
        _Panel2.default,
        { name: 'assocPanel', collapsible: true, collapsed: true },
        React.createElement(
          _Row2.default,
          null,
          React.createElement(
            'div',
            null,
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocActivityGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocActivityGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.TextInput, { name: 'assocActivity' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocActivityType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocActivityNote' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocObjectGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocObjectGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.TextInput, { name: 'assocObject' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocObjectType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocObjectNote' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocConceptGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocConceptGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocConcept' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocConceptType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocConceptNote' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocCulturalContextGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocCulturalContextGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.TextInput, { name: 'assocCulturalContext' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocCulturalContextType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocCulturalContextNote' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocOrganizationGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocOrganizationGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocOrganization' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocOrganizationType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocOrganizationNote' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocPeopleGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocPeopleGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.TextInput, { name: 'assocPeople' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocPeopleType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocPeopleNote' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocPersonGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocPersonGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocPerson' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocPersonType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocPersonNote' })
              )
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocPlaceGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocPlaceGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.TextInput, { name: 'assocPlace' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocPlaceType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocPlaceNote' })
              )
            )
          ),
          React.createElement(
            'div',
            null,
            React.createElement(
              _Panel2.default,
              null,
              React.createElement(
                _cspaceInput.CompoundInput,
                { tabular: true, msgkey: 'assocEventGroup' },
                React.createElement(_cspaceInput.TextInput, { name: 'assocEventName' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocEventNameType' })
              ),
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocEventOrganizations' },
                React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocEventOrganization', repeating: true })
              ),
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocEventPeoples' },
                React.createElement(_cspaceInput.TextInput, { name: 'assocEventPeople', repeating: true })
              ),
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocEventPersons' },
                React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocEventPerson', repeating: true })
              ),
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocEventPlaces' },
                React.createElement(_cspaceInput.TextInput, { name: 'assocEventPlace', repeating: true })
              ),
              React.createElement(_cspaceInput.TextInput, { name: 'assocEventNote' })
            ),
            React.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocDateGroupList' },
              React.createElement(
                _cspaceInput.CompoundInput,
                { name: 'assocDateGroup', tabular: true, repeating: true },
                React.createElement(_cspaceInput.StructuredDateInput, { name: 'assocStructuredDateGroup' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocDateType' }),
                React.createElement(_cspaceInput.TextInput, { name: 'assocDateNote' })
              )
            )
          )
        )
      ),
      React.createElement(_cspaceInput.TextInput, { name: 'objectHistoryNote', multiline: true }),
      React.createElement(
        _cspaceInput.CompoundInput,
        { name: 'usageGroupList' },
        React.createElement(
          _cspaceInput.CompoundInput,
          { name: 'usageGroup', tabular: true, repeating: true },
          React.createElement(_cspaceInput.TextInput, { name: 'usage' }),
          React.createElement(_cspaceInput.TextInput, { name: 'usageNote' })
        )
      ),
      React.createElement(
        _Row2.default,
        null,
        React.createElement(
          'div',
          null,
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'owners' },
            React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'owner', repeating: true })
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'ownershipDateGroupList' },
            React.createElement(_cspaceInput.StructuredDateInput, { name: 'ownershipDateGroup', repeating: true })
          )
        ),
        React.createElement(
          'div',
          null,
          React.createElement(
            _Row2.default,
            null,
            React.createElement(
              'div',
              null,
              React.createElement(_cspaceInput.StaticControlledInput, { name: 'ownershipAccess' })
            ),
            React.createElement(
              'div',
              null,
              React.createElement(_cspaceInput.StaticControlledInput, { name: 'ownershipCategory' })
            )
          ),
          React.createElement(_cspaceInput.TextInput, { name: 'ownershipPlace' })
        )
      ),
      React.createElement(
        _cspaceInput.CompoundInput,
        { tabular: true, msgkey: 'ownershipExchangeGroup' },
        React.createElement(_cspaceInput.StaticControlledInput, { name: 'ownershipExchangeMethod' }),
        React.createElement(_cspaceInput.TextInput, { name: 'ownershipExchangeNote' }),
        React.createElement(_cspaceInput.VocabularyControlledInput, { name: 'ownershipExchangePriceCurrency' }),
        React.createElement(_cspaceInput.TextInput, { name: 'ownershipExchangePriceValue' })
      )
    ),
    React.createElement(
      _Panel2.default,
      { name: 'ownerPanel', collapsible: true, collapsed: true },
      React.createElement(_cspaceInput.TextInput, { name: 'ownersPersonalExperience', multiline: true }),
      React.createElement(_cspaceInput.TextInput, { name: 'ownersPersonalResponse', multiline: true }),
      React.createElement(
        _cspaceInput.CompoundInput,
        { name: 'ownersReferences' },
        React.createElement(_cspaceInput.TextInput, { name: 'ownersReference', repeating: true })
      ),
      React.createElement(_cspaceInput.TextInput, { name: 'ownersContributionNote', multiline: true })
    ),
    React.createElement(
      _Panel2.default,
      { name: 'viewerPanel', collapsible: true, collapsed: true },
      React.createElement(_cspaceInput.TextInput, { name: 'viewersRole' }),
      React.createElement(_cspaceInput.TextInput, { name: 'viewersPersonalExperience', multiline: true }),
      React.createElement(_cspaceInput.TextInput, { name: 'viewersPersonalResponse', multiline: true }),
      React.createElement(
        _cspaceInput.CompoundInput,
        { name: 'viewersReferences' },
        React.createElement(_cspaceInput.TextInput, { name: 'viewersReference', repeating: true })
      ),
      React.createElement(_cspaceInput.TextInput, { name: 'viewersContributionNote', multiline: true })
    ),
    React.createElement(
      _Panel2.default,
      { name: 'referencePanel', collapsible: true, collapsed: true },
      React.createElement(
        _cspaceInput.CompoundInput,
        { name: 'referenceGroupList' },
        React.createElement(
          _cspaceInput.CompoundInput,
          { name: 'referenceGroup', tabular: true, repeating: true },
          React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'reference' }),
          React.createElement(_cspaceInput.TextInput, { name: 'referenceNote' })
        )
      )
    ),
    React.createElement(
      _Panel2.default,
      { name: 'collectPanel', collapsible: true, collapsed: true },
      React.createElement(
        _Row2.default,
        null,
        React.createElement(
          'div',
          null,
          React.createElement(_cspaceInput.StructuredDateInput, { name: 'fieldCollectionDate' }),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'fieldCollectionMethods' },
            React.createElement(_cspaceInput.VocabularyControlledInput, { name: 'fieldCollectionMethod', repeating: true })
          ),
          React.createElement(_cspaceInput.TextInput, { name: 'fieldCollectionNote', multiline: true }),
          React.createElement(_cspaceInput.TextInput, { name: 'fieldCollectionNumber' })
        ),
        React.createElement(
          'div',
          null,
          React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'fieldCollectionPlace' }),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'fieldCollectionSources' },
            React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'fieldCollectionSource', repeating: true })
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'fieldCollectors' },
            React.createElement(_cspaceInput.AuthorityControlledInput, { name: 'fieldCollector', repeating: true })
          ),
          React.createElement(
            _cspaceInput.CompoundInput,
            { name: 'fieldColEventNames' },
            React.createElement(_cspaceInput.TextInput, { name: 'fieldColEventName', repeating: true })
          )
        )
      )
    )
  );
};